nutch-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexis Hope <ale...@cvofhope.com>
Subject Re: Compiling Nutch 2.3 for Mongo (or Solr)
Date Thu, 05 Feb 2015 12:00:57 GMT
Ahhh thank you so much for your reply Lewis. I feel like a boob now.
After looking at the mongo logs I realised where I went wrong.

I failed to look at what I was uncommenting. Removing the login & secret
config allowed access with Mongo default user.

gora.mongodb.login=login
gora.mongodb.secret=secret

I just downloaded a fresh copy of Mongo 2.6.7 I can't see 2.12.2 avilable
on github or the downloads page.

For anyone else who may read this, get mongo log files with './mongod -v
--logpath /var/log/mongodb/server1.log --logappend'

On Wed, Feb 4, 2015 at 8:34 PM, Lewis John Mcgibbney <
lewis.mcgibbney@gmail.com> wrote:

> Hi Alexis,
>
> On Wed, Feb 4, 2015 at 5:14 AM, <user-digest-help@nutch.apache.org> wrote:
>
> >
> > I've had some luck compiling for Mongo, but I get a NullPointerException
> > while injecting seeds.
>
>
> What version of MongoDb are you using?
> Supported version is 2.12.2, this is suited to recent Nutch 2.3.
>
>
> > It looks like its failing to initialize the nutch
> > collection in Mongo. Anyone experiencing similar issues know of a
> fix/work
> > around?
> >
>
> What about down at the MongoDB side? Do you see any network traffic or
> persistent logs on the MongoDb side?
>
>
> >
> > Also on another note I tried running the above steps configured for solr
> > but get a failed build.
> > module not found: org.restlet.jee#org.restlet;2.2.1
> >
>
> This is really fricking annoying and it kinda out of out hands.
> We recerntly upgraded the existing restlet dependencies within Nutch cf.
> https://issues.apache.org/jira/browse/NUTCH-1899
> This has however not been done up in Gora.
> I've therefore logged a ticket and a patch
> https://issues.apache.org/jira/browse/GORA-407
> The restlet repository has always been dodgy for me. Many times it has been
> down and has caused troubles for me trying to retrieve dependencies from
> there. I have no idea what is going on now as the 2.2.1 dependencies are
> available. They just seem to be available!
>
>
> > This is beyond me. I don't use ivy or ant. I see in the ivy.xml its set
> to
> > 2.2.3. I tried changing that to 2.2.1 but just results in another error.
> >
>
> No, reverting this dependencies is the wrong way to go. The problem is that
> gora-solr 0.5 dependency transitively pulls in org.restlet dependencies
> 2.3.1... which is the stem of the error.
>
>
> We are releasing Gora 0.6 VERy soon e.g. next number of days. I will make
> best efforts to make upgrade to Gora 0.6 dependencies within Nutch 2.3.1 as
> well as the other patches then we can release 2.3.1 hopefully.
> Thanks for your patience. Hopefully you get your MongoDb problem solved.
> Lewis
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message